<?php
/**
 * GurmeCargo WooCommerce durumları ile entegre olmayı sağlayan sınıf.
 *
 * @package GurmeHub
 */

/**
 * Order Status Sınıfı.
 */
class GCARGO_SAAS_Shipment_Settings extends GCARGO_Options {

	/**
	 * wp_options option anahtarı.
	 *
	 * @var string $options_table_key
	 */
	public $options_table_key = 'gcargo_saas_shipment_settings';

	/**
	 * Ayarları döndürür.
	 */
	public function get_settings() {
		$settings = parent::get_settings();

		if ( empty( $settings ) ) {
			$settings = gcargo_api_requests()->get_shipment_setting();

			$this->update_settings( $settings );
		}

		return $settings;
	}
}
